This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1282230 - On minimal (cloud) setup without xfce4-session, lightdm-gtk-greeter coredumps
On minimal (cloud) setup without xfce4-session, lightdm-gtk-greeter coredumps
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lightdm-gtk (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 12:12 EST by Jan Pazdziora
Modified: 2016-12-20 10:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:56:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2015-11-15 12:12:53 EST
Description of problem:

On minimal Fedora installation (I've used cloud), when just xfdesktop, lightdm, and xorg-x11-server-Xorg is installed, starting the lightdm service leads to coredump of lightdm-gtk-greeter.

Version-Release number of selected component (if applicable):

lightdm-gtk-1.8.5-19.fc23.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. Have minimal Fedora installation, for example Fedora-Cloud-Base-23-20151030.x86_64.raw.xz in virt-manager.
2. dnf install xfdesktop lightdm xorg-x11-server-Xorg
3. Check that xfce4-session is not installed.
4. systemctl start lightdm

Actual results:

System starts to loop attempting to start lightdm.

In journal, there is

Nov 15 16:39:45 test.example.test audit[958]: ANOM_ABEND auid=4294967295 uid=993 gid=991 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 pid=958 comm="lightdm-gtk-gre" exe="/usr/sbin/lightdm-gtk-greeter" sig=11
Nov 15 16:39:45 test.example.test kernel: lightdm-gtk-gre[958]: segfault at 0 ip 0000559de6456705 sp 00007ffc2d700ec0 error 4 in lightdm-gtk-greeter[559de644c000+13000]

# coredumpctl dump
           PID: 958 (lightdm-gtk-gre)
           UID: 993 (lightdm)
           GID: 991 (lightdm)
        Signal: 11 (SEGV)
     Timestamp: Sun 2015-11-15 16:39:45 UTC (28min ago)
  Command Line: /usr/sbin/lightdm-gtk-greeter
    Executable: /usr/sbin/lightdm-gtk-greeter
 Control Group: /user.slice/user-993.slice/session-c3.scope
          Unit: session-c3.scope
         Slice: user-993.slice
       Session: c3
     Owner UID: 993 (lightdm)
       Boot ID: 9ce617ae55f448b0a990d2b9f78639ae
    Machine ID: c849431f196c4907b7eb56fdff80edff
      Hostname: test.example.test
       Message: Process 958 (lightdm-gtk-gre) of user 993 dumped core.
                
                Stack trace of thread 958:
                #0  0x0000559de6456705 set_session (lightdm-gtk-greeter)
                #1  0x0000559de6455cbf main (lightdm-gtk-greeter)
                #2  0x00007f909def2580 __libc_start_main (libc.so.6)
                #3  0x0000559de64562f9 _start (lightdm-gtk-greeter)
                
                Stack trace of thread 959:
                #0  0x00007f909dfc911d poll (libc.so.6)
                #1  0x00007f909ea5116c g_main_context_iterate.isra.29 (libglib-2.0.so.0)
                #2  0x00007f909ea5127c g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007f909ea512b9 glib_worker_main (libglib-2.0.so.0)
                #4  0x00007f909ea77835 g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f909e29a60a start_thread (libpthread.so.0)
                #6  0x00007f909dfd4bbd __clone (libc.so.6)

Expected results:

No coredump, no looping, nice error suggesting that some critical component hasn't been installed.

Additional info:
Comment 1 Fedora End Of Life 2016-11-24 08:27:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 10:56:01 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.